| Qore DbDataProvider Module Reference 1.0

Public Member Functions | Protected Attributes | List of all members
DbDataProvider::AbstractDbTableBulkOperation Class Reference

Bulk operation object for tables. More...

Inheritance diagram for DbDataProvider::AbstractDbTableBulkOperation:
[legend]

## Public Member Functions
| constructor (DbTableDataProvider provider, AbstractBulkOperation bulk)
| Creates the object.
| discard ()
| Discards any buffered data. More...
| flush ()
| Flushes any remaining data to the data provider. More...
| queueData (hash< auto > record)
| Queues data in the buffer.
| queueData (list< hash< auto >> records)
| Queues data in the buffer.

## Protected Attributes
AbstractBulkOperation | bulk
| The actual bulk insert operation object.

## Detailed Description

Bulk operation object for tables.

## Member Function Documentation

## ◆ discard()

DbDataProvider::AbstractDbTableBulkOperation::discard | ( |  | ) |

Discards any buffered data.

This method should be called before rolling back the transaction (if the data provider supports transaction management) or destroying the object if an error occurs

## ◆ flush()

DbDataProvider::AbstractDbTableBulkOperation::flush | ( |  | ) |

Flushes any remaining data to the data provider.

This method should always be called before committing the transaction (if the data provider supports transaction management) or destroying the object